Subject: Re: bug#54551: show-paren-mode inconsistency

From: goncholden <[email-masked]>
Date: Fri, 25 Mar 2022 05:23:35 +0000

------- Original Message -------
On Friday, March 25th, 2022 at 4:57 PM, Phil Sainty <[email-masked]> wrote:
> On 2022-03-25 17:20, goncholden wrote:

> > I use the block colouring of the cursor, meaning that your
> > valid description in not so intuitive. Would it be possible
> > to include a different interpretation depending on the type
> > of cursor display one is using?

> The position at point is the same no matter what the cursor
> looks like, and the behaviour is based on where point is, so
> for the current code the appearance of the cursor is irrelevant.

> You could make the code test the cursor type and change its
> behaviour in accordance with what it thought the cursor looked
> like, but I'd really recommend just getting familiar with the
> existing (and very consistent) behaviour, and remembering what
> it is that the cursor actually represents.

> > > I think you're looking for this library:
> > > https://www.emacswiki.org/emacs/HighlightSexp

> > Is HighlightSexp only relevant for use with lisp-mode-hook
> > and emacs-lisp-mode-hook ?

> Anything lisp-based should certainly work, but it's more generic
> than that. Not every major mode would be relevant, but you can
> experiment with different modes and see whether it works.

> -Phil

Have tried to figure out the background colour used by show-paren-mode
after setting show-paren-when-point-inside-paren to t.  But have not
got to its determination.